/*
Copyright (c) 2015 Red Hat, Inc.
Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

  http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
*/

package org.ovirt.engine.sdk4.internal.containers;

import java.lang.String;
import java.math.BigInteger;
import org.ovirt.engine.sdk4.types.Ticket;

public class TicketContainer extends Container implements Ticket {
    private BigInteger expiry;
    private String value;
    
    public BigInteger expiry() {
        return expiry;
    }
    
    public Byte expiryAsByte() {
        return asByte("Ticket", "expiry", expiry);
    }
    
    public Short expiryAsShort() {
        return asShort("Ticket", "expiry", expiry);
    }
    
    public Integer expiryAsInteger() {
        return asInteger("Ticket", "expiry", expiry);
    }
    
    public Long expiryAsLong() {
        return asLong("Ticket", "expiry", expiry);
    }
    
    public void expiry(BigInteger newExpiry) {
        expiry = newExpiry;
    }
    
    public boolean expiryPresent() {
        return expiry != null;
    }
    
    public String value() {
        return value;
    }
    
    public void value(String newValue) {
        value = newValue;
    }
    
    public boolean valuePresent() {
        return value != null;
    }
    
}
